using Godot;

namespace Cirno.Scripts.Components.FSM.Player;

public partial class Teleporting : PlayerStateBase
{
    public override PlayerState StateId => PlayerState.Teleporting;

    [Export]
    private PlayerAnimationProvider _animationProvider;

    public override void EnterState()
    {
        _animationProvider.PlayTeleportAnimation();
    }

    public override void ExitState()
    {

    }

    public override void ProcessState(double delta)
    {

    }

    public override void PhysicsProcessState(double delta)
    {

    }
}